Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.floating.policy
Class FloatPolicy.NullFloatPolicy

    java.lang.Object
      org.flexdock.docking.floating.policy.FloatPolicy.NullFloatPolicy

All Implemented Interfaces:
  FloatPolicy

Direct Known Subclasses:
  DefaultFloatPolicy

Enclosing interface:
  FloatPolicy

    public static class FloatPolicy.NullFloatPolicy

extends Object
implements FloatPolicy

Provides a default implementation of the FloatPolicy interface.

Author:
  Christopher Butler

Nested Class Summary

Nested classes/interfaces inherited from interface org.flexdock.docking.floating.policy.FloatPolicy
`FloatPolicy.NullFloatPolicy`

Constructor Summary
`FloatPolicy.NullFloatPolicy()`

Method Summary
`boolean` | `isFloatDropAllowed(DockingEvent evt)` Returns `true`.
`boolean` | `isFloatingAllowed(Dockable dockable)` Returns `true`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatPolicy.NullFloatPolicy

    public FloatPolicy.NullFloatPolicy()

Method Detail

### isFloatingAllowed

    public boolean isFloatingAllowed(Dockable dockable)

  Returns `true`.

  Specified by:
    `isFloatingAllowed` in interface `FloatPolicy`
  Parameters:
    `dockable` - the `Dockable` to be checked for floating support
  Returns:
    `true`.
  See Also:
    `FloatPolicy.isFloatingAllowed(Dockable)`

### isFloatDropAllowed

    public boolean isFloatDropAllowed(DockingEvent evt)

  Returns `true`.

  Specified by:
    `isFloatDropAllowed` in interface `FloatPolicy`
  Parameters:
    `evt` - the `DockingEvent` to be checked for drop-to-float support
  Returns:
    `true`.
  See Also:
    `FloatPolicy.isFloatDropAllowed(DockingEvent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD